Skip to main content
GET
/
api
/
v1
/
campaigns
/
{campaign_id}
/
sequences
curl -X GET "https://api.foxreach.io/api/v1/campaigns/cmp_abc123/sequences" \
  -H "X-API-Key: otr_your_key"
{
  "data": [
    {
      "id": "seq_001",
      "campaignId": "cmp_abc123",
      "stepNumber": 1,
      "name": "Initial outreach",
      "subject": "Quick question, {{firstName}}",
      "body": "Hi {{firstName}},\n\nI noticed {{company}} recently...",
      "delayDays": 0,
      "delayHours": 0,
      "sendOnlyIfNoReply": false,
      "createdAt": "2025-01-10T08:00:00",
      "updatedAt": "2025-01-10T08:00:00"
    },
    {
      "id": "seq_002",
      "campaignId": "cmp_abc123",
      "stepNumber": 2,
      "name": "Follow-up",
      "subject": "Re: Quick question, {{firstName}}",
      "body": "Hi {{firstName}},\n\nJust wanted to follow up on my last email...",
      "delayDays": 3,
      "delayHours": 0,
      "sendOnlyIfNoReply": true,
      "createdAt": "2025-01-10T08:05:00",
      "updatedAt": "2025-01-10T08:05:00"
    }
  ]
}

Path Parameters

campaign_id
string
required
The unique identifier of the campaign.

Response

data
array
Array of sequence step objects.
curl -X GET "https://api.foxreach.io/api/v1/campaigns/cmp_abc123/sequences" \
  -H "X-API-Key: otr_your_key"
{
  "data": [
    {
      "id": "seq_001",
      "campaignId": "cmp_abc123",
      "stepNumber": 1,
      "name": "Initial outreach",
      "subject": "Quick question, {{firstName}}",
      "body": "Hi {{firstName}},\n\nI noticed {{company}} recently...",
      "delayDays": 0,
      "delayHours": 0,
      "sendOnlyIfNoReply": false,
      "createdAt": "2025-01-10T08:00:00",
      "updatedAt": "2025-01-10T08:00:00"
    },
    {
      "id": "seq_002",
      "campaignId": "cmp_abc123",
      "stepNumber": 2,
      "name": "Follow-up",
      "subject": "Re: Quick question, {{firstName}}",
      "body": "Hi {{firstName}},\n\nJust wanted to follow up on my last email...",
      "delayDays": 3,
      "delayHours": 0,
      "sendOnlyIfNoReply": true,
      "createdAt": "2025-01-10T08:05:00",
      "updatedAt": "2025-01-10T08:05:00"
    }
  ]
}

Errors

StatusDescription
404Campaign not found